Subject: [Bmcu] They aren't going to try to total my '78!

From: Andrew Lundgren <[email-masked]>
Date: Thu, 13 Jun 2013 13:25:40 -0600

Got the good news back.

The damage appraisal doesn't exceed the replacement cost.  Now I need to 
decide if I want to restore it and spend the ~$1000 on a new rear rubber 
bumper or spend the same $1000 on a chrome kit and direct the repair 
shop to convert it to a chrome bumper car...

I haven't come across a shop in UT that has done the chrome bumper 
conversion though.  I am considering hauling it back to Colorado (my 
home until 2 years ago) and have http://sportscarcraftsmen.com/ do the work.

Either way, it will be on the road again!  CHEER!

--
Andrew
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive